Commit bc3b076c authored by Ell's avatar Ell

libgimp: disable tile command range check in plug-in tile backend

In gimp_tile_backend_plugin_command(), disable the range check for
the input tile command.  This check prevents us from adding new
tile commands to GEGL without breaking the ABI; yet, the next GEGL
release will add a new command.  We're going to have to decide what
to do about this, but for now, let's just disable the check, so
that at least GIMP 2.10.6 is compatible with newer versions of
GEGL, no matter how we end up handling this.

(cherry picked from commit 90ed3c8d)
parent de11e353
......@@ -161,7 +161,8 @@ gimp_tile_backend_plugin_command (GeglTileSource *tile_store,
break;
default:
g_assert (command < GEGL_TILE_LAST_COMMAND && command >= 0);
/* g_assert (command < GEGL_TILE_LAST_COMMAND && command >= 0); */
break;
}
return result;
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment